requireopts = {
	catchError:true,
	waitSeconds:0,
	paths:{
    'cfg'		:'/config',
    'lang'  :'/locale/lang_' + lang + '.js.gz?',
    'loc'  :'/locale/' + lang + '.js.gz?',
	'lArch'  :'/locale/langChan_' + lang + '.js?',
	  'jq'		:'/lib/jquery/jquery.min.js.gz?',
    'ui'		:'/lib/jquery/jquery.ui.min.js.gz?',
	  'ch'		:'/lib/jquery/jquery.chosen.min.js.gz?',
    'dt'		:'/lib/jquery/jquery.ui.dynatree.js.gz?',
    'jg'		:'/lib/jquery/jquery.ui.jqgrid.min.js.gz?',
    'te'		:	'/lib/jquery/jquery.timeentry.min.js.gz?',
    'jp'		:	'/lib/jquery/jquery.plugin.min.js.gz?',
    'sh'		:'/lib/sh.js.gz?',
    'db'		:'/lib/db.js.gz?',
    'pr'    :'/lib/progress.js.gz?',
    'jglc'	:'/lib/jquery/jquery.ui.jqgrid.locale.ru.js.gz?',
    'text'	:'/lib/text.js.gz?',
		'check'	: '/lib/check.js.gz?',

    'ns'		:'/utils/namespace',
    'lc'		:'/utils/locale',
	  'og'		:'/utils/origin',
	  'vr'		:'/utils/vars.sht?',
    'ac'		:'/utils/access',
	  'nop'		:'/utils/nop',
	  'fmts'	:'/utils/formatters',
    'xmls'	:'/utils/xmls',
    'gears' :'/utils/gears',
    'xmltd'	:'/utils/xmltd',
		'sd' 		: '/utils/SD',

    'menu':'/menu/menu.js.gz?',
    'loading':'/template/loading.template',
    'typedevices':'/TypeDevices.xml',
	  'typevoltages': '/TypeVoltages.xml',
    'eventsList': '/EventsList.xml',
    'schemaUtil':'/lib/schemaUtil.js.gz?',
    'svg':'/lib/svg.js.gz?',
	  'mix':'/mixins/mix.js.gz?',
    'serv':'/server/server.js.gz?',
		'excel':'/lib/excel.js.gz?',
		'flot':'flot.js.gz?'
	},
	shim: {
	  'jq':{
      exports:'$'
	  },
	  'ch':{
      deps: ['jq']
	  },
	  'ui': {
      deps: ['jq']
	  },
	  'dt': {
      deps: ['ui']
	  },
	  'jg': {
      deps: ['ui']
	  },
	  'fmts': {
      deps: ['jg']
	  },
	  'jglc': {
      deps: ['jg']
	  },
	  'xmls': {
      deps: ['jq']
	  },
    'mix': {
      deps: ['pr']
    },
    'te': {
      deps: ['jp']
    },
    'jp': {
      deps: ['jq']
    },
	'flot': {
      deps: ['jq']
    }
	}
}

exports	=	{
  svgEventDelay	  :	1000,
  svgDataDelay	  :	1000,
  requestTimeout  :	120000,
  svgInfoDelay	  :	5000,
  showTooltip     : true,
  TUPassword      : '123',
  TUPassRO        : false,
  TimeOffset      : 0
}

files = {
	arm: {
		js: [
			 {type:"text/javascript",src:"/lib/sh.js.gz"}
			,{type:"text/javascript",src:"/lib/db.js.gz"}
			,{type:"text/javascript",src:"/utils/SD.js"}
      ,{type:"text/javascript",src:"/lib/check.js.gz"}
			,{type:"text/javascript",src:"/utils/nop.js"}
			,{type:"text/javascript",src:"/lib/jquery/jquery.min.js.gz"}
			,{type:"text/javascript",src:"/lib/jquery/jquery.ui.min.js.gz"}
			,{type:"text/javascript",src:"/lib/jquery/jquery.fancytree.min.js.gz"}
			,{type:"text/javascript",src:"/utils/vars.sht"}
			,{type:"text/javascript",src:"/utils/access.js"}
			,{type:"text/javascript",src:"/utils/gears.js"}
			,{type:"text/javascript",src:"/utils/xmls.js"}
			,{type:"text/javascript",src:"/server/server.js.gz"}
			,{type:"text/javascript",src:"/lib/svg.js.gz"}
			,{type:"text/javascript",src:"/locale/" + lang + ".js.gz"}
      ,{type:"text/javascript",src:"/locale/langChan_" + lang + ".js"}
			,{type:"text/javascript",src:"js/arm.min.js.gz"}
		],
		css:[
			 {type:"text/css",rel:"stylesheet",media:"all",    href:"css/custom-theme/jquery-ui-1.8.10.custom.css.gz"}
			,{type:"text/css",rel:"stylesheet",media:"screen", href:"css/arm.min.css.gz"}
			,{type:"text/css",rel:"stylesheet",media:"screen", href:"../css/TUControl.css"}
		],
		html:[
			 {type:"text/html",url:"index_K2.html.gz"}
		]
	},
	schemes:[
		'control/c.schemes',
		'model/m.schemes',
		'view/v.schemes',
		'menu',
		'ns',
    'pr',
		'sh','jq','dt',
		'db','svg','schemaUtil'
	],
	diag:[
		'control/c.diag',
		'model/m.diag',
		'view/v.diag',
		'menu',
		'ns',
    'pr',
		'gears','mix','nop','sh','jq','dt',
    'svg','serv'
	],
	param:[
		'control/c.param',
		'model/m.param',
		'view/v.param',
		'menu',
		'xmls',
    'vr',
		'ns',
    'pr',
		'gears','mix','nop','sh','jq','ch','dt','jg','jglc','fmts'
	],
  reports: [
    'control/c.reports',
    'model/m.reports',
    'view/v.reports',
    'menu',
    'xmls',
    'ns',
    'pr',
    'gears', 'mix', 'nop', 'jq', 'dt',
    'svg','serv'
  ]
}